USING SFDC.*.
 
DEFINE VARIABLE cSFDC AS SFDCLib   NO-UNDO. 
DEFINE VARIABLE hBuff AS HANDLE    NO-UNDO.
DEFINE VARIABLE strId AS CHARACTER NO-UNDO.

cSFDC = NEW SFDCLib().
cSFDC:loginToSFDC(). 
 
/* insert a temp-table record for the customer */
hBuff = cSFDC:hTTCustomer:DEFAULT-BUFFER-HANDLE. 
hBuff:BUFFER-CREATE().
hBuff:BUFFER-FIELD ("CustNum"):BUFFER-VALUE = 2.
hBuff:BUFFER-FIELD ("Cust-name"):BUFFER-VALUE = "Tweedle Beetle Baddle Paddles".
hBuff:BUFFER-FIELD ("Street"):BUFFER-VALUE = "12 Oak Park".
hBuff:BUFFER-FIELD ("City"):BUFFER-VALUE = "Bedford".
hBuff:BUFFER-FIELD ("State"):BUFFER-VALUE = "MA".
hBuff:BUFFER-FIELD ("PostalCode"):BUFFER-VALUE = "01730".
hBuff:BUFFER-FIELD ("NumberOfEmployees"):BUFFER-VALUE = 100.

/* Insert into SFDC */
strId = cSFDC:insertSObjectFromTT(cSFDC:hTTCustomer).

/* insert a couple contacts into the TT */
hBuff = cSFDC:hTTContact:DEFAULT-BUFFER-HANDLE. 
hBuff:BUFFER-CREATE().
hBuff:BUFFER-FIELD ("ctc-no"):BUFFER-VALUE = 1.
hBuff:BUFFER-FIELD ("AccountId"):BUFFER-VALUE = strId.
hBuff:BUFFER-FIELD ("LName"):BUFFER-VALUE = "Bailey".
hBuff:BUFFER-FIELD ("fname"):BUFFER-VALUE = "Beetle".
hBuff:BUFFER-FIELD ("Department"):BUFFER-VALUE = "SFDCDemo".
hBuff:BUFFER-FIELD ("Street"):BUFFER-VALUE  = "12 Oak Park".
hBuff:BUFFER-FIELD ("City"):BUFFER-VALUE = "Bedford".
hBuff:BUFFER-FIELD ("State"):BUFFER-VALUE = "MA".
hBuff:BUFFER-FIELD ("PostalCode"):BUFFER-VALUE = "01730".

hBuff:BUFFER-CREATE().
hBuff:BUFFER-FIELD ("ctc-no"):BUFFER-VALUE = 2.
hBuff:BUFFER-FIELD ("AccountId"):BUFFER-VALUE = strId.
hBuff:BUFFER-FIELD ("LName"):BUFFER-VALUE = "Starr".
hBuff:BUFFER-FIELD ("fname"):BUFFER-VALUE = "Ringo".
hBuff:BUFFER-FIELD ("Department"):BUFFER-VALUE = "SFDCDemo".
hBuff:BUFFER-FIELD ("Street"):BUFFER-VALUE  = "12 Oak Park".
hBuff:BUFFER-FIELD ("City"):BUFFER-VALUE = "Bedford".
hBuff:BUFFER-FIELD ("State"):BUFFER-VALUE = "MA".
hBuff:BUFFER-FIELD ("PostalCode"):BUFFER-VALUE = "01730".

/* Insert two contact records into SFDC at the same time */
cSFDC:insertSObjectFromTT(cSFDC:hTTContact). 

MESSAGE "Done"
  VIEW-AS ALERT-BOX.

CATCH e AS Progress.Lang.Error:
  MESSAGE 
    e:GetMessage (1)
    VIEW-AS ALERT-BOX.
END.
  