USING SFDC.*.
 
DEFINE VARIABLE cSFDC    AS SFDCLib   NO-UNDO. 
DEFINE VARIABLE hBuff    AS HANDLE    NO-UNDO.
DEFINE VARIABLE hBuffFTN AS HANDLE    NO-UNDO. 
DEFINE VARIABLE strId    AS CHARACTER NO-UNDO.
   
cSFDC = NEW SFDCLib().   
cSFDC:loginToSFDC().

/* Get a SFDC ID of a record to update for the demo */
strId = cSFDC:getValue( "Id", "SELECT Id from Account where AccountNumber = '1' ").

/* Put a record in the customer TT to use to push an update to SFDC */
hBuff = cSFDC:hTTCustomer:DEFAULT-BUFFER-HANDLE. 
hBuff:BUFFER-CREATE().
hBuff:BUFFER-FIELD ("Id"):BUFFER-VALUE = strId.
hBuff:BUFFER-FIELD ("Street"):BUFFER-VALUE = "32 Oak Park".

/* Create the list of fields to null out - the delete method in the framework
   will look in the ttFieldsToNull TT for this list  */
hBuffFTN = cSFDC:hTTFieldsToNull:DEFAULT-BUFFER-HANDLE. 
hBuffFTN:BUFFER-CREATE ().
hBuffFTN:BUFFER-FIELD ("id"):BUFFER-VALUE = strId.  /* id to the record */
hBuffFTN:BUFFER-FIELD ("fieldName"):BUFFER-VALUE = "BillingCity".  
hBuffFTN:BUFFER-CREATE ().
hBuffFTN:BUFFER-FIELD ("id"):BUFFER-VALUE = strId.  /* id to the record */
hBuffFTN:BUFFER-FIELD ("fieldName"):BUFFER-VALUE = "NumberOfEmployees".  

/* send the update to SFDC */
cSFDC:updateSObjectFromTT(cSFDC:hTTCustomer). 


CATCH e AS Progress.Lang.Error:
  MESSAGE 
    "Error Updating account: " SKIP 
    e:GetMessage (1)
    VIEW-AS ALERT-BOX.
END.
