/* Clean up all records created in the Demo */

USING SFDC.*.
  
DEFINE VARIABLE cSFDC     AS SFDCLib   NO-UNDO. 
DEFINE VARIABLE hBuff     AS HANDLE    NO-UNDO.
DEFINE VARIABLE hIDBuff   AS HANDLE    NO-UNDO.
DEFINE VARIABLE strId     AS CHARACTER NO-UNDO.
DEFINE VARIABLE hQry      AS HANDLE    NO-UNDO. 
DEFINE VARIABLE lcMessage AS LONGCHAR  NO-UNDO.
 
/* log into the SFDC SOAP api */
cSFDC = NEW SFDCLib().
cSFDC:loginToSFDC().

cSFDC:queryToTT(cSFDC:hTTContact, "where Department = 'SFDCDemo' ").

cSFDC:hTTContact:WRITE-JSON ("LongChar", lcMessage, TRUE).
Util.DemoUtils:BigMessage(lcMessage).
 
hBuff = cSFDC:hTTContact:DEFAULT-BUFFER-HANDLE.
CREATE QUERY hQry.
hQry:ADD-BUFFER(hBuff).
hQry:QUERY-PREPARE('for each ' + hBuff:NAME).
hQry:QUERY-OPEN().
hQry:GET-FIRST().
IF hBuff:AVAILABLE THEN 
DO:
  DO WHILE NOT hQry:QUERY-OFF-END:
    hIDBuff = cSFDC:hTTId:DEFAULT-BUFFER-HANDLE. 
    hIDBuff:BUFFER-CREATE ().
    hIDBuff:BUFFER-FIELD ("id"):BUFFER-VALUE = hBuff:BUFFER-FIELD ("id"):BUFFER-VALUE.
    hQry:GET-NEXT (). 
  END.  
  cSFDC:deleteSObjects() .
END.
 
cSFDC:emptyTT(cSFDC:hTTId). 
cSFDC:queryToTT(cSFDC:hTTCustomer, "where AccountNumber = '1' or AccountNumber = '2' or  AccountNumber = '1234567'").
cSFDC:hTTCustomer:WRITE-JSON ("LongChar", lcMessage, TRUE).
Util.DemoUtils:BigMessage(lcMessage).

hBuff = cSFDC:hTTCustomer:DEFAULT-BUFFER-HANDLE.
CREATE QUERY hQry.
hQry:ADD-BUFFER(hBuff).
hQry:QUERY-PREPARE('for each ' + hBuff:NAME).
hQry:QUERY-OPEN().
hQry:GET-FIRST().
IF hBuff:AVAILABLE THEN 
DO:  
  DO WHILE NOT hQry:QUERY-OFF-END:
    hIDBuff = cSFDC:hTTId:DEFAULT-BUFFER-HANDLE. 
    hIDBuff:BUFFER-CREATE ().
    hIDBuff:BUFFER-FIELD ("id"):BUFFER-VALUE = hBuff:BUFFER-FIELD ("id"):BUFFER-VALUE.
    hQry:GET-NEXT (). 
  END.
  cSFDC:deleteSObjects() .
END.
DELETE OBJECT hQry.



MESSAGE "They never were..."
  VIEW-AS ALERT-BOX.

CATCH e AS Progress.Lang.Error:
  MESSAGE e:GetMessage (1)
    VIEW-AS ALERT-BOX.
END.