USING System.Net.*.
USING SFDC.*.
USING System.IO.*.
 
DEFINE VARIABLE cSFDCLib AS SFDCLib NO-UNDO. 
DEFINE VARIABLE hBuff     AS HANDLE      NO-UNDO.
DEFINE VARIABLE lcTT      AS LONGCHAR    NO-UNDO.
 
/* log in and retrieve a pull a specific account into our TT */
cSFDCLib = NEW SFDC.SFDCLib().
cSFDCLib:loginToSFDCREST().

cSFDCLib:copyToTT(cSFDCLib:hTTCustomer,"001d000001YnCy4AAF").
 
/* Display our success */
cSFDCLib:hTTCustomer:write-json ("longchar",lcTT, TRUE).
Util.DemoUtils:BigMessage(lcTT).



CATCH e AS Progress.Lang.Error:
DEFINE VARIABLE oWebException AS System.Net.WebException NO-UNDO.
DEFINE VARIABLE Response      AS HttpWebResponse         NO-UNDO.
DEFINE VARIABLE SR            AS StreamReader            NO-UNDO.
DEFINE VARIABLE lcResponse    AS LONGCHAR                NO-UNDO.
  
/* useful messages returned by the DotNet WebClient object are burried a little */
IF  TYPE-OF(e,System.Net.WebException) THEN 
DO:
  oWebException = CAST (e, System.Net.WebException). 
  Response = CAST(oWebException:Response, HttpWebResponse).
  SR = NEW StreamReader(Response:GetResponseStream(),System.Text.Encoding:UTF8).
  lcResponse = SR:ReadToEnd().
    
  MESSAGE STRING (lcResponse) SKIP Response:StatusCode:value__
    VIEW-AS ALERT-BOX.   
END.
ELSE 
  MESSAGE 
    e:GetMessage (1)
    VIEW-AS ALERT-BOX.

END. 