USING SFDC.*.
USING Util.*.

DEFINE VARIABLE cSFDCLib AS SFDCLib   NO-UNDO. 
DEFINE VARIABLE hBuff    AS HANDLE    NO-UNDO.
DEFINE VARIABLE strId    AS CHARACTER NO-UNDO.


cSFDCLib = NEW SFDCLib().
cSFDCLib:loginToSFDC().

/* insert a temp-table record */
hBuff = cSFDCLib:hTTCustomer:DEFAULT-BUFFER-HANDLE. 
hBuff:BUFFER-CREATE().
hBuff:BUFFER-FIELD ("CustNum"):BUFFER-VALUE = 1.
hBuff:BUFFER-FIELD ("Cust-name"):BUFFER-VALUE = "Bob LobLaw's Law Blog Pogs".
hBuff:BUFFER-FIELD ("Street"):BUFFER-VALUE = "32 Oak Park".
hBuff:BUFFER-FIELD ("City"):BUFFER-VALUE = "Bedford".
hBuff:BUFFER-FIELD ("State"):BUFFER-VALUE = "MA".
hBuff:BUFFER-FIELD ("PostalCode"):BUFFER-VALUE = "01730".
hBuff:BUFFER-FIELD ("NumberOfEmployees"):BUFFER-VALUE = 200.
 
/* insert into SFDC */
strId = cSFDCLib:insertSObjectFromTT(cSFDCLib:hTTCustomer).

DemoUtils:BigMessage("Returned SFDC ID: " + strId). 
  


CATCH e AS Progress.Lang.Error:
  MESSAGE 
    "Error: " SKIP 
    e:GetMessage (1)
    VIEW-AS ALERT-BOX.
END.

/* 

USING SFDC.*.
 
DEFINE VARIABLE cSFDCLib   AS SFDCLib   NO-UNDO. 
DEFINE VARIABLE vXML    AS LONGCHAR  NO-UNDO. 
DEFINE VARIABLE vResult AS LONGCHAR  NO-UNDO.
DEFINE VARIABLE strId   AS CHARACTER NO-UNDO.

cSFDCLib = NEW SFDCLib().
cSFDCLib:loginToSFDC().

/* example without using the framework  */
vXML = 
  "<?xml version=~"1.0~" encoding=~"UTF-8~"?>" +
  "<sfdc:create xmlns:sfdc=~"urn:enterprise.soap.sforce.com~" xmlns:urn=~"urn:enterprise.soap.sforce.com~" xmlns:urn1=~"urn:sobject.enterprise.soap.sforce.com~" xmlns:xsi=~"http://www.w3.org/2001/XMLSchema-instance~">" +
  "  <urn:sObjects xsi:type=~"urn1:Account~">" +
  "    <AccountNumber>1</AccountNumber>" +
  "    <Name>Bob LobLaw's Law Blog Pogs</Name>" +
  "    <BillingStreet>32 Oak Park</BillingStreet>" +
  "    <BillingCity>Bedford</BillingCity>" +
  "    <BillingState>MA</BillingState>" +
  "    <BillingPostalCode>01730</BillingPostalCode>" +
  "    <NumberOfEmployees>200</NumberOfEmployees>" +
  "  </urn:sObjects>" +
  "</sfdc:create>".
  
  
/* Callback procecure defined for hSOAP adds the header with the SessionID */
RUN create IN cSFDCLib:hSoap(INPUT vXML, OUTPUT vResult).
   
MESSAGE 
  STRING (vResult)
  VIEW-AS ALERT-BOX.

CATCH e AS Progress.Lang.Error:
  MESSAGE 
    "Error Inserting account: " SKIP 
    e:GetMessage (1)
    VIEW-AS ALERT-BOX.
END.


*/
