USING SFDC.*.
 
DEFINE VARIABLE cSFDC    AS SFDCLib   NO-UNDO. 
DEFINE VARIABLE hBuff    AS HANDLE    NO-UNDO.
DEFINE VARIABLE strId    AS CHARACTER NO-UNDO.
 
cSFDC = NEW SFDCLib().
cSFDC:loginToSFDC().

/* Get a SFDC ID of a record to update for the demo */
strId = cSFDC:getValue( "Id", "SELECT Id from Account where AccountNumber = '1' ").

/* Put a record in the customer TT to use to push an update to SFDC */
hBuff = cSFDC:hTTCustomer:DEFAULT-BUFFER-HANDLE. 
hBuff:BUFFER-CREATE().
hBuff:BUFFER-FIELD ("Id"):BUFFER-VALUE = strId. /* used to find the record - not updateable. */
hBuff:BUFFER-FIELD ("Street"):BUFFER-VALUE = "222 Oak Park".
hBuff:BUFFER-FIELD ("NumberOfEmployees"):BUFFER-VALUE = 0.  /* set it to 0, not null */

/* It's NO GOOD!! - This exmaple shows that the following will not work for blanking out values!  */
hBuff:BUFFER-FIELD ("City"):BUFFER-VALUE = "".  /* not allowed */

cSFDC:updateSObjectFromTT(cSFDC:hTTCustomer).  


CATCH e AS Progress.Lang.Error:
  MESSAGE 
    "Error Updating account: " SKIP 
    e:GetMessage (1)
    VIEW-AS ALERT-BOX.
END.
