USING SFDC.*.
 
/*
   OTHER OPERATIONS:
     Merge - Merge one contact into another so that phone calls, etc, move to the new contact
     getUpdated  - Get a set of changes in SFDC between two times to replicate back to your app
     retrieve - pass a list of IDs and get back XML of the records
*/     
 
DEFINE VARIABLE cSFDC     AS SFDCLib   NO-UNDO. 
DEFINE VARIABLE hBuff     AS HANDLE    NO-UNDO.
DEFINE VARIABLE vOSQL     AS CHARACTER NO-UNDO. 
DEFINE VARIABLE strId     AS CHARACTER NO-UNDO.
DEFINE VARIABLE lcMessage AS LONGCHAR  NO-UNDO. 
 
cSFDC = NEW SFDCLib().
cSFDC:loginToSFDC().

/* get two ids to use for the demo */
hBuff = cSFDC:hTTId:DEFAULT-BUFFER-HANDLE. 
hBuff:BUFFER-CREATE ().
hBuff:BUFFER-FIELD ("id"):BUFFER-VALUE = cSFDC:getValue( "Id", "SELECT Id from Contact where LastName = 'Starr' ").
hBuff = cSFDC:hTTId:DEFAULT-BUFFER-HANDLE. 
hBuff:BUFFER-CREATE ().
hBuff:BUFFER-FIELD ("id"):BUFFER-VALUE = cSFDC:getValue( "Id", "SELECT Id from Contact where LastName = 'Bailey' ").

/* The retrieve operation takes a list of fields and SFDC IDs and returnS XML 
   of all the records with those IDs */
cSFDC:retrieveToTT(cSFDC:hTTContact).    

/* Display the resulting TT records */
cSFDC:hTTContact:WRITE-JSON ("LongChar", lcMessage, TRUE).
Util.DemoUtils:BigMessage(lcMessage).
  
  
CATCH e AS Progress.Lang.Error:
  MESSAGE 
    e:GetMessage (1)
    VIEW-AS ALERT-BOX.
END.
